Bug 1655936 (CVE-2018-19626) - CVE-2018-19626 wireshark: DCOM dissector crash resulting in information leak
Summary: CVE-2018-19626 wireshark: DCOM dissector crash resulting in information leak
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-19626
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1655944 1657211
Blocks: 1655949
TreeView+ depends on / blocked
 
Reported: 2018-12-04 09:53 UTC by Andrej Nemec
Modified: 2019-09-29 15:03 UTC (History)
7 users (show)

Fixed In Version: wireshark 2.6.5, wireshark 2.4.11
Doc Type: If docs needed, set a value
Doc Text:
Missing initialization of buffer in DCOM dissector could allow Wireshark to crash when parsing a specially crafted pcap file. A remote attacker could cause a denial of service to Wireshark by injecting malicious packets into the network that are automatically processed. Moreover, the content of uninitialized stack memory is leaked to the local user via Wireshark, causing an information leak as secondary impact.
Clone Of:
Environment:
Last Closed: 2019-07-12 13:06:18 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2018-12-04 09:53:50 UTC
In Wireshark 2.6.0 to 2.6.4 and 2.4.0 to 2.4.10, the DCOM dissector could crash. This was addressed in epan/dissectors/packet-dcom.c by adding '\0' termination.

Upstream issue:

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=15130

Upstream patch:

https://code.wireshark.org/review/gitweb?p=wireshark.git;a=commit;h=c5a65115ebab55cfd5ce0a855c2256e01cab6449

External References:

https://www.wireshark.org/security/wnpa-sec-2018-52.html

Comment 1 Andrej Nemec 2018-12-04 10:01:15 UTC
Created wireshark tracking bugs for this issue:

Affects: fedora-all [bug 1655944]

Comment 2 Adam Mariš 2018-12-07 12:57:00 UTC
According to upstream bug:

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=15130#c8

This issue affects also older versions since commit:

https://code.wireshark.org/review/gitweb?p=wireshark.git;a=commit;h=ea0baf468e778706c40e2fb0337fc65cd3e27ea5

when packet-dcom.c was introduced. The problem seems to be that dissect_dcom_BSTR() can end before calling dcom_tvb_get_nwstringz0() where szStr is initialized, leaving it uninitialized. But such possibility was only introduced by commit:

https://code.wireshark.org/review/gitweb?p=wireshark.git;a=commit;h=0c7eb4a4f4d351aa99adefb798eec90293aac131 (which means since wireshark 2.1.0)

Comment 3 Adam Mariš 2018-12-07 13:28:35 UTC
Statement:

This issue did not affect the versions of wireshark as shipped with Red Hat Enterprise Linux 5, 6 and 7.

Comment 5 Product Security DevOps Team 2019-07-12 13:06:18 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-19626


Note You need to log in before you can comment on or make changes to this bug.